﻿@model FrameworkCore.Domains.Store.Entities.ProductEntity;

@{
    ViewData["Title"] = "Store";
}

@section css {
    <link href="~/css/view/product/AddNewProduct.css" rel="stylesheet" type="text/css">
}

<!-- Page Heading -->
<h1 class="h3 mb-2 text-gray-800">Create Store</h1>

 <div class="container">
    <div class="card o-hidden border-0 shadow-lg my-5">
        <div class="card-body p-0">
            <!-- Nested Row within Card Body -->
            <div class="row">
                <div class="col-lg-12">
                    <div class="p-5">
                        <div class="text-center">
                            <h1 class="h4 text-gray-900 mb-4">Add Product</h1>
                        </div>
                        <form enctype="multipart/form-data" asp-controller="Product" asp-action="AddNewProductProcess" class="user">
                            <div id="postFilePreviewContainer" class="carousel slide d-none" data-ride="carousel" data-interval="false">
                                <ol class="carousel-indicators">
                                </ol>
                                <div id="postFilePreview" class="carousel-inner">
                                
                                </div>
                                <a class="carousel-control-prev" href="#postFilePreviewContainer" role="button" data-slide="prev">
                                    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                                    <span class="sr-only">Previous</span>
                                </a>
                                <a class="carousel-control-next" href="#postFilePreviewContainer" role="button" data-slide="next">
                                    <span class="carousel-control-next-icon" aria-hidden="true"></span>
                                    <span class="sr-only">Next</span>
                                </a>
                            </div>
                            @*<input type="file" asp-for="@Model.PictureFiles" multiple onchange="previewImage(event)" class="form-control" id="inputFile" accept="image/png, image/jpeg, image/jpg, video/mp4">*@
                            @Html.TextBoxFor(model => model.PictureFiles, "", new { @onchange="previewImage(event)", @type = "file", @multiple = "multiple", @class = "form-control", @id = "inputFile", @accept = "image/png, image/jpeg, image/jpg"}) 
                            @Html.TextBoxFor(model => model.StoreId, "", new {@class = "d-none"})

                            <div class="form-group">
                                <div class="form-group">
                                    <label for="exampleFormControlTextarea1">Name</label>
                                    @Html.TextBoxFor(model => model.Name, "", new {@class = "form-control form-control-user"})
                                </div>
                            </div>

                            <div class="form-group">
                                <div class="form-group">
                                    <label for="exampleFormControlTextarea1">Description</label>
                                    <textarea asp-for=@Model.Description class="form-control" id="exampleFormControlTextarea1" rows="3"></textarea>
                                </div>
                            </div>

                            <div class="form-group form-outline">
                                <label for="exampleFormControlTextarea1">Stock</label>
                                @Html.TextBoxFor(model => model.Stock, "", new {@type="number" ,@class = "form-control form-control-user"})
                            </div>

                            <div class="form-row align-items-center form-row">
                                <div class="col-3">
                                  <div class="form-group form-outline custom-control custom-checkbox mr-sm-2">
                                      <select asp-for=@Model.Price.Currency class="custom-select mr-sm-2" id="inlineFormCustomSelect">
                                        <option selected>Rp</option>
                                      </select>
                                  </div>
                                </div>
                                <div class="col-4">
                                  <div class="form-group form-outline custom-control custom-checkbox mr-sm-2">
                                    @Html.TextBoxFor(model => model.Price.Value, "", new {@type="number", @class = "form-control form-control-user"})
                                  </div>
                                </div>
                                <div class="col"></div>
                            </div>

                            <br/>
                            <button type="submit" class="submit-post-btn btn btn-primary btn-lg">Submit</button>
                        </form>
                        <hr>
                    </div>
                </div>
            </div>
        </div>
    </div>
 </div>
@section script{
    <script src="~/js/view/product/AddNewProduct.js" ></script>
}